<template>
  <div>
    <el-form :model="form"
             ref='moneyForm'>
      <el-form-item label="备注"
                    prop="memo"
                    :rules="[{required: true, message: '请输入备注', trigger: 'blur'}]">
        <el-input type="textarea"
                  :rows="4"
                  v-model="form.memo"></el-input>
      </el-form-item>

    </el-form>
  </div>
</template>
<script>
import { makesureSchoolePaid } from '../api'
export default {
  props: ['data'],
  data () {
    return {
      form: {
        memo: ''
      }
    }
  },
  mounted () { },
  methods: {
    async submitGetMoney () {
      this.$refs.moneyForm.validate(async res => {
        if (res) {
          let id = this.data.id;
          let memo = this.form.memo;
          try {
            const datas = await makesureSchoolePaid({ id, memo })
            this.$emit('close')

          } catch (error) {

          }


        }
      })

    },
    close () {
      this.$emit('close')
    }
  }
}
</script>
<style lang="scss" scoped>
</style>